Package org.flowable.engine.interceptor

# Class CreateUserTaskAfterContext

java.lang.Object
org.flowable.engine.interceptor.CreateUserTaskAfterContext

public class CreateUserTaskAfterContext extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DelegateExecution`
  `execution`
  `protected org.flowable.task.service.impl.persistence.entity.TaskEntity`
  `taskEntity`
  `protected UserTask`
  `userTask`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateUserTaskAfterContext()`
  `CreateUserTaskAfterContext(UserTask userTask, org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, DelegateExecution execution)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DelegateExecution`
  `getExecution()`
  `org.flowable.task.service.impl.persistence.entity.TaskEntity`
  `getTaskEntity()`
  `UserTask`
  `getUserTask()`
  `void`
  `setExecution(DelegateExecution execution)`
  `void`
  `setTaskEntity(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity)`
  `void`
  `setUserTask(UserTask userTask)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userTask

    protected UserTask userTask

  - ### taskEntity

    protected org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity

  - ### execution

    protected DelegateExecution execution

- ## Constructor Details

  - ### CreateUserTaskAfterContext

    public CreateUserTaskAfterContext()

  - ### CreateUserTaskAfterContext

    public CreateUserTaskAfterContext(UserTask userTask, org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity, DelegateExecution execution)

- ## Method Details

  - ### getUserTask

    public UserTask getUserTask()

  - ### setUserTask

    public void setUserTask(UserTask userTask)

  - ### getTaskEntity

    public org.flowable.task.service.impl.persistence.entity.TaskEntity getTaskEntity()

  - ### setTaskEntity

    public void setTaskEntity(org.flowable.task.service.impl.persistence.entity.TaskEntity taskEntity)

  - ### getExecution

    public DelegateExecution getExecution()

  - ### setExecution

    public void setExecution(DelegateExecution execution)